Qt 5.6 | Qt Multimedia | C++ Classes | QCameraCaptureDestinationControl

Qt 5.6.2 Reference Documentation

# QCameraCaptureDestinationControl Class

The QCameraCaptureDestinationControl class provides a control for setting capture destination. More...

Header: | #include <QCameraCaptureDestinationControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QCameraCaptureDestinationControl()
virtual QCameraImageCapture::CaptureDestinations | captureDestination() const = 0
virtual bool | isCaptureDestinationSupported(QCameraImageCapture::CaptureDestinations destination) const = 0
virtual void | setCaptureDestination(QCameraImageCapture::CaptureDestinations destination) = 0

- 31 public functions inherited from QObject

## Signals

void | captureDestinationChanged(QCameraImageCapture::CaptureDestinations destination)

- 2 signals inherited from QObject

## Protected Functions

| QCameraCaptureDestinationControl(QObject *parent = Q_NULLPTR)

- 9 protected functions inherited from QObject

## Macros

| QCameraCaptureDestinationControl_iid

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QCameraCaptureDestinationControl class provides a control for setting capture destination.

Depending on backend capabilities capture to file, buffer or both can be supported.

The interface name of QCameraCaptureDestinationControl is `org.qt-project.qt.cameracapturedestinationcontrol/5.0` as defined in QCameraCaptureDestinationControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QCameraCaptureDestinationControl::QCameraCaptureDestinationControl(QObject *parent = Q_NULLPTR)

Constructs a new image capture destination control object with the given parent

### QCameraCaptureDestinationControl::~QCameraCaptureDestinationControl()

Destroys an image capture destination control.

### `[pure virtual]` QCameraImageCapture::CaptureDestinations QCameraCaptureDestinationControl::captureDestination() const

Returns the current capture destination. The default destination is QCameraImageCapture::CaptureToFile.

See also setCaptureDestination().

### `[signal]` void QCameraCaptureDestinationControl::captureDestinationChanged(QCameraImageCapture::CaptureDestinations destination)

Signals the image capture destination changed.

### `[pure virtual]` bool QCameraCaptureDestinationControl::isCaptureDestinationSupported(QCameraImageCapture::CaptureDestinations destination) const

Returns true if the capture destination is supported; and false if it is not.

### `[pure virtual]` void QCameraCaptureDestinationControl::setCaptureDestination(QCameraImageCapture::CaptureDestinations destination)

Sets the capture destination.

See also captureDestination().

## Macro Documentation

### QCameraCaptureDestinationControl_iid

`org.qt-project.qt.cameracapturedestinationcontrol/5.0`

Defines the interface name of the QCameraCaptureDestinationControl class.